Bug 20466 - reload fails to recreate pid file
reload fails to recreate pid file
Product: Red Hat Raw Hide
Classification: Retired
Component: bind (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-11-07 09:10 EST by kenneth_porter
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-07 09:10:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kenneth_porter 2000-11-07 09:10:11 EST
Using 8.2.2_P5-25. named creates its pid file as root. Later, when issuing reload from ndc or initscript, a message is logged that named can't 
write to /var/run/named.pid.

One possible solution would be to give the sticky bit to /var/run and to create the pid file with ownership named.named.
Comment 1 Bernhard Rosenkraenzer 2001-03-06 14:39:44 EST
Fixed in 9.1.0-6

Note You need to log in before you can comment on or make changes to this bug.